<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: auth/OAuth/OAuth.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_o_auth_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OAuth.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#ifndef LIBRARYMGR_OAUTH_H</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#define LIBRARYMGR_OAUTH_H</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &quot;../OAuthId/OAuthId.h&quot;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &quot;../../models/Database/Database.h&quot;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="class_o_auth.html">   30</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_o_auth.html">OAuth</a> {</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <a class="code" href="class_o_auth.html#a5c3a460107cc60f0c0ab03bf90236ef9">OAuth</a>();</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <a class="code" href="class_o_auth.html#a5c3a460107cc60f0c0ab03bf90236ef9">OAuth</a>(<a class="code" href="class_database.html">Database&lt;OAuthId&gt;</a> database);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keyword">const</span> <a class="code" href="class_database.html">Database&lt;OAuthId&gt;</a> &amp;<a class="code" href="class_o_auth.html#ac81443e761b766b218550a8e6b0b786b">getDatabase</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="comment">// getters</span></div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <a class="code" href="class_o_auth_id.html">OAuthId</a> <a class="code" href="class_o_auth.html#a02baeb7bfc7c1d69fb8cf7dfa7f2cb98">getId</a>(std::string username);</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="comment">// check</span></div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_o_auth.html#a370cfa3a6c5e099ea831aa47cd0bec2e">authenticate</a>(<a class="code" href="class_o_auth_id.html">OAuthId</a> <span class="keywordtype">id</span>);</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_o_auth.html#ad1fd304b1233bf1e3829f897c8413280">wrongUser</a>(<a class="code" href="class_o_auth_id.html">OAuthId</a> <span class="keywordtype">id</span>);</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_o_auth.html#a5cce8a3b92e7d98d8c25adbeb9c3cde7">wrongPassword</a>(<a class="code" href="class_o_auth_id.html">OAuthId</a> <span class="keywordtype">id</span>);</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <span class="comment">// management</span></div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_o_auth.html#a44a68aa042340863ba1ab54eb02a3aca">addId</a>(<a class="code" href="class_o_auth_id.html">OAuthId</a> <span class="keywordtype">id</span>);</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_o_auth.html#a4e37754724323a2b0e2dadab12ecc71d">removeId</a>(<a class="code" href="class_o_auth_id.html">OAuthId</a> <span class="keywordtype">id</span>);</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_o_auth.html#a0c48fcee0a4938a9e758b939a2e7229b">editUsername</a>(std::string username, std::string newUsername);</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_o_auth.html#a6b884ecb6c99d0bc58e308140f443222">editPassword</a>(std::string username, std::string newPassword);</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_o_auth.html#ac215f9c1ca04972b9e786917c5630e14">editId</a>(<a class="code" href="class_o_auth_id.html">OAuthId</a> oldId, <a class="code" href="class_o_auth_id.html">OAuthId</a> newId);</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    <span class="comment">// operators</span></div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    <span class="keyword">friend</span> std::ostream &amp;<a class="code" href="class_o_auth.html#a8c2ab31bcc4372b65f69bc77745ce61c">operator&lt;&lt;</a>(std::ostream &amp;out, <span class="keyword">const</span> <a class="code" href="class_o_auth.html">OAuth</a> &amp;oauth);</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    <a class="code" href="class_database.html">Database&lt;OAuthId&gt;</a> database;  <span class="comment">// database of credentials</span></div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;};</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;<span class="preprocessor">#endif //LIBRARYMGR_OAUTH_H</span></div><div class="ttc" id="class_o_auth_html_a4e37754724323a2b0e2dadab12ecc71d"><div class="ttname"><a href="class_o_auth.html#a4e37754724323a2b0e2dadab12ecc71d">OAuth::removeId</a></div><div class="ttdeci">bool removeId(OAuthId id)</div><div class="ttdef"><b>Definition:</b> OAuth.cpp:51</div></div>
<div class="ttc" id="class_o_auth_html_a5c3a460107cc60f0c0ab03bf90236ef9"><div class="ttname"><a href="class_o_auth.html#a5c3a460107cc60f0c0ab03bf90236ef9">OAuth::OAuth</a></div><div class="ttdeci">OAuth()</div><div class="ttdef"><b>Definition:</b> OAuth.cpp:20</div></div>
<div class="ttc" id="class_o_auth_html_ad1fd304b1233bf1e3829f897c8413280"><div class="ttname"><a href="class_o_auth.html#ad1fd304b1233bf1e3829f897c8413280">OAuth::wrongUser</a></div><div class="ttdeci">bool wrongUser(OAuthId id)</div><div class="ttdef"><b>Definition:</b> OAuth.cpp:28</div></div>
<div class="ttc" id="class_o_auth_html_ac81443e761b766b218550a8e6b0b786b"><div class="ttname"><a href="class_o_auth.html#ac81443e761b766b218550a8e6b0b786b">OAuth::getDatabase</a></div><div class="ttdeci">const Database&lt; OAuthId &gt; &amp; getDatabase() const </div><div class="ttdef"><b>Definition:</b> OAuth.cpp:73</div></div>
<div class="ttc" id="class_o_auth_html_a44a68aa042340863ba1ab54eb02a3aca"><div class="ttname"><a href="class_o_auth.html#a44a68aa042340863ba1ab54eb02a3aca">OAuth::addId</a></div><div class="ttdeci">bool addId(OAuthId id)</div><div class="ttdef"><b>Definition:</b> OAuth.cpp:42</div></div>
<div class="ttc" id="class_o_auth_html_a8c2ab31bcc4372b65f69bc77745ce61c"><div class="ttname"><a href="class_o_auth.html#a8c2ab31bcc4372b65f69bc77745ce61c">OAuth::operator&lt;&lt;</a></div><div class="ttdeci">friend std::ostream &amp; operator&lt;&lt;(std::ostream &amp;out, const OAuth &amp;oauth)</div><div class="ttdoc">operator &lt;&lt; printer </div><div class="ttdef"><b>Definition:</b> OAuth.cpp:69</div></div>
<div class="ttc" id="class_o_auth_html_ac215f9c1ca04972b9e786917c5630e14"><div class="ttname"><a href="class_o_auth.html#ac215f9c1ca04972b9e786917c5630e14">OAuth::editId</a></div><div class="ttdeci">bool editId(OAuthId oldId, OAuthId newId)</div><div class="ttdef"><b>Definition:</b> OAuth.cpp:60</div></div>
<div class="ttc" id="class_o_auth_html_a0c48fcee0a4938a9e758b939a2e7229b"><div class="ttname"><a href="class_o_auth.html#a0c48fcee0a4938a9e758b939a2e7229b">OAuth::editUsername</a></div><div class="ttdeci">bool editUsername(std::string username, std::string newUsername)</div><div class="ttdef"><b>Definition:</b> OAuth.cpp:90</div></div>
<div class="ttc" id="class_o_auth_html"><div class="ttname"><a href="class_o_auth.html">OAuth</a></div><div class="ttdef"><b>Definition:</b> OAuth.h:30</div></div>
<div class="ttc" id="class_o_auth_html_a370cfa3a6c5e099ea831aa47cd0bec2e"><div class="ttname"><a href="class_o_auth.html#a370cfa3a6c5e099ea831aa47cd0bec2e">OAuth::authenticate</a></div><div class="ttdeci">bool authenticate(OAuthId id)</div><div class="ttdef"><b>Definition:</b> OAuth.cpp:24</div></div>
<div class="ttc" id="class_database_html"><div class="ttname"><a href="class_database.html">Database&lt; OAuthId &gt;</a></div></div>
<div class="ttc" id="class_o_auth_id_html"><div class="ttname"><a href="class_o_auth_id.html">OAuthId</a></div><div class="ttdef"><b>Definition:</b> OAuthId.h:28</div></div>
<div class="ttc" id="class_o_auth_html_a6b884ecb6c99d0bc58e308140f443222"><div class="ttname"><a href="class_o_auth.html#a6b884ecb6c99d0bc58e308140f443222">OAuth::editPassword</a></div><div class="ttdeci">bool editPassword(std::string username, std::string newPassword)</div><div class="ttdef"><b>Definition:</b> OAuth.cpp:102</div></div>
<div class="ttc" id="class_o_auth_html_a02baeb7bfc7c1d69fb8cf7dfa7f2cb98"><div class="ttname"><a href="class_o_auth.html#a02baeb7bfc7c1d69fb8cf7dfa7f2cb98">OAuth::getId</a></div><div class="ttdeci">OAuthId getId(std::string username)</div><div class="ttdef"><b>Definition:</b> OAuth.cpp:77</div></div>
<div class="ttc" id="class_o_auth_html_a5cce8a3b92e7d98d8c25adbeb9c3cde7"><div class="ttname"><a href="class_o_auth.html#a5cce8a3b92e7d98d8c25adbeb9c3cde7">OAuth::wrongPassword</a></div><div class="ttdeci">bool wrongPassword(OAuthId id)</div><div class="ttdef"><b>Definition:</b> OAuth.cpp:38</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_00ae9869f82e985780277dc684d7236c.html">auth</a></li><li class="navelem"><a class="el" href="dir_7f2cdd9ed2cc51e662a2667753069251.html">OAuth</a></li><li class="navelem"><b>OAuth.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
